Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP

Loading…

issues with less #12

Open
zachcp opened this Issue · 2 comments

2 participants

@zachcp

Hello hyde developers,

I just downloaded the Hyde/docs as a test site (good looking - so a good place to start!). I also download the lessc binary and place it in the hyde-docs root directory. When I run 'hyde -v gen ' I get an error that I an not sure how to troubleshoot and I am wondering if anyone else has encountered this:

12:40:44 hyde.engine.LessCSSPlugin Calling executable [/home/test/Projects/05_Web_Dev/hyde-docs/lessc] with arguments [u'/var/folders/wk/wkcy6OjjFEWw6J9lUJcZCE+++TM/-Tmp-/tmp2FdD0m', u'/var/folders/wk/wkcy6OjjFEWw6J9lUJcZCE+++TM/-Tmp-/tmpBhZeZJ']
Traceback (most recent call last):
File "/usr/local/bin/hyde", line 9, in
load_entry_point('hyde==0.8.5a15', 'console_scripts', 'hyde')()
File "/Library/Python/2.6/site-packages/hyde-0.8.5a15-py2.6.egg/hyde/main.py", line 10, in main
Engine().run()
File "/Library/Python/2.6/site-packages/hyde-0.8.5a15-py2.6.egg/hyde/engine.py", line 39, in run
super(Engine, self).run(args)
File "/Library/Python/2.6/site-packages/commando.py", line 198, in run
args.run(self, args)
File "/Library/Python/2.6/site-packages/hyde-0.8.5a15-py2.6.egg/hyde/engine.py", line 118, in gen
gen.generate_all(incremental=incremental)
File "/Library/Python/2.6/site-packages/hyde-0.8.5a15-py2.6.egg/hyde/generator.py", line 205, in generate_all
self.generate_node(self.site.content, incremental)
File "/Library/Python/2.6/site-packages/hyde-0.8.5a15-py2.6.egg/hyde/generator.py", line 303, in generate_node
self.generate_resource(resource, incremental)
File "/Library/Python/2.6/site-packages/hyde-0.8.5a15-py2.6.egg/hyde/generator.py", line 339, in generate_resource
resource, text) or text
File "/Library/Python/2.6/site-packages/hyde-0.8.5a15-py2.6.egg/hyde/plugin.py", line 47, in call_plugins
res = function(*args)
File "/Library/Python/2.6/site-packages/hyde-0.8.5a15-py2.6.egg/hyde/ext/plugins/less.py", line 110, in text_resource_complete
self.call_app(args)
File "/Library/Python/2.6/site-packages/hyde-0.8.5a15-py2.6.egg/hyde/plugin.py", line 392, in call_app
subprocess.check_output(args)
AttributeError: 'module' object has no attribute 'check_output'

I will try to get around this by using the css files as-is and removing the lessc but it would be nice to know how to use less with hyde for the long term.

thanks
zach cp

@lakshmivyas
Owner

@zachcp - hyde requires python 2.7.x.

Alternatively, If you merge this in your fork or local repo you can get it to work with 2.6:
hyde/hyde#151

@zachcp

thanks lakshmi - using python2.7 was the way to go. just starting to play with hyde now but so far I think its great. Great work, thank you.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.